Bug 261248 - Only update date of files in branch on actual changes
Summary: Only update date of files in branch on actual changes
Status: RESOLVED FIXED
Alias: None
Product: lokalize
Classification: Applications
Component: general (show other bugs)
Version: 1.1
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nick Shaforostoff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-25 19:58 UTC by Frederik Schwarzer
Modified: 2010-12-28 10:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Schwarzer 2010-12-25 19:58:12 UTC
Version:           1.1 (KDE 4.5) (using KDE 4.5.3) 
OS:                Linux

Porting changes to a specific branch while working in another branch is one of the killer features of Lokalize. :)

However, in its current implementation it always updates the PO date and last translator field of the PO header even if no actual changes have been made to the file.

This bloats later commits in the branch.

Reproducible: Always
Comment 1 Nick Shaforostoff 2010-12-27 15:16:17 UTC
SVN commit 1209611 by shaforo:

BUG: 261248
Only update date of files in branch on actual changes



 M  +10 -0     mergecatalog.cpp  
 M  +3 -0      mergecatalog.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1209611
Comment 2 Nick Shaforostoff 2010-12-28 10:57:25 UTC
SVN commit 1209851 by shaforo:

back-port small change to reduce svn diffs of translations and potentionally avoid conflicts when merging them 
 
CCBUG: 261248
Only update date of files in branch on actual changes



 M  +10 -0     mergecatalog.cpp  
 M  +3 -0      mergecatalog.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1209851